Bug 968036 (CVE-2013-2850)

Summary: CVE-2013-2850 kernel: iscsi-target: heap buffer overflow on large key error
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bhu, esammons, iboverma, jkacur, lgoncalv, mcressma, security-response-team, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130530,reported=20130523,source=distros,cvss2=6.8/AV:A/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,rhel-7/kernel=notaffected,cwe=CWE-122[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 968038, 968039, 969272    
Bug Blocks: 968040    

Description Petr Matousek 2013-05-28 16:19:05 EDT
A flaw was found in the way Linux kernel's iSCSI target processed large keys. If a key was larger than 64 bytes, as checked by iscsi_check_key(), the error response packet, generated by iscsi_add_notunderstood_response(), would still attempt to copy the entire key into the packet, overflowing the structure on the heap.

A remote attacker could use this flaw to escalate their privileges on the system.

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.
Comment 1 Petr Matousek 2013-05-28 16:19:58 EDT
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and 6 as those versions do not provide support for in-kernel iSCSI target.

Future kernel updates in Red Hat Enterprise Linux MRG 2 may address this flaw.
Comment 5 Petr Matousek 2013-05-31 02:17:31 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 969272]
Comment 7 Fedora Update System 2013-06-07 00:33:12 EDT
kernel-3.9.4-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-13 02:04:33 EDT
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-30 21:33:53 EDT
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-09-16 13:05:01 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html